Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.20 veröffentlicht (27.02.19)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
[Help] Falscher Autorisierungscode!
#1
Hallo ich habe MyBB Version 1.8.20 instaliert und es lief anfangs auch alles recht gut

nur habe ich vorhin die Forum View rechte gesetzt , wollte   mich mit einen test benutzer einloggen und musste feststellen das der login nicht funktioniert , jetz wo das forum eig fertig ist

dann habe ich einige andere designs ausprobiert und diese funktionieren ebenfalls nicht
 ich kriege immer den fehler

Zitat:Falscher Autorisierungscode! Greifen Sie auf diese Funktion auf die übliche Weise zu? Bitte gehen Sie zurück und versuchen Sie es erneut.


ich habe in der sufu gelesen das man das template ändern muss
PHP-Code:
<input name="my_post_key" type="hidden" value="{$mybb->post_code}/> 


in der global.css ".forum_offlock" durch ".forum_offclose" und ".subforum_miniofflock" durch ".subforum_minioffclose" ersetzt werden.

dass die Templates "error_nopermission", "header_welcomeblock_guest", "member_login" und "portal_welcome_guesttext" unbedingt aktualisiert oder zurückgesetzt werden müssen, da es sonst zu Problemen beim Anmelden kommen kann.

ich habe es probiert diese zurück zu setzen nur kommt noch immer der selbe fehler , und forum_offlock" ".forum_offclose" und ".subforum_miniofflock"  ".subforum_minioffclose" finde ich nichtmals


meine global.css sieht so aus
Code:
text-align: left;
line-height: 1.4;
margin: 0;



ich nutze folgendes theme:
https://community.mybb.com/mods.php?acti...ad&pid=357


Kann mir irgendjemand villeicht helfen ?
Zitieren
#2
Das Theme hat seine letzte Aktualisierung für MyBB 1.8.17 bekommen.
Es müssen also für 1.8.20 noch einige Templates per Hand angepasst werden.
Einen Vergleich der Dateien und Templates findes Du hier

Wenn es eine "Neuinstallation" ist, sollte aber das Default-Theme zumindest erstmal funktionieren.
Zitieren
#3
(26.03.2019, 16:25)Schnapsnase schrieb: Das Theme hat seine letzte Aktualisierung für MyBB 1.8.17 bekommen.
Es müssen also für 1.8.20 noch einige Templates per Hand angepasst werden.
Einen Vergleich der Dateien und Templates findes Du hier

Wenn es eine "Neuinstallation" ist, sollte aber das Default-Theme zumindest erstmal funktionieren.

danke für deine hilfe , das sind ja echt sehr viele datein , das standard design habe ich leider überschrieben
gibt es denn ein anderes theme was für 1.8.20 läuft ? oder kann mir jmd das standard theme schiicken oder wie komm ich jetz nochmal an das ran ?


danke
Zitieren
#4
https://www.mybb.de/downloads/versionsarchiv/

Schau mal hier .. und dann ausm Paket das Theme fischen.
Zitieren
#5
Das default-Theme sollte sich hier befinden: /install/resources/mybb_theme.xml
Zitieren
#6
Guten Tag, ich nutze die aktuelle Version 1.8.20 mit dem Default-Theme (kein anderes jemals ausgewählt)

zu der Anmeldeproblematik von mir ein Hinweis :

unter Windows 10 kommt mit dem auf dem aktuellen Update-Level installierten InternetExplorer ebenfalls die Meldung "Falscher Autorisierungscode! Greifen Sie auf diese Funktion auf die übliche Weise zu? Bitte gehen Sie zurück und versuchen Sie es erneut." bzw. in den Anmeldeformularen beim Neuanlegen eines Useraccounts wird die Mailadresse als solche nicht erkannt und dementsprechend ist ein Anlegen eines neuen Benutzers dort nicht möglich.

wenn ich unter dem gleichen Betriebssystem den aktuellen "Firefox" oder "Google Chrom" nutze, kann sich der Nutzer ohne Probleme mit seinen Credentials anmelden und ich kann auch anstandslos neue Benutzer anlegen.
Unter LINUX gibt es mit den dortigen Browsern ebenfalls keine Probleme

Das sind meine nachvollziehbaren Feststellungen
Zitieren
#7
Ich kann das Problem weder in IE11 noch in Edge nachvollziehen; Login klappt ohne Probleme
Ggf. mal den Cache leeren oder die Seite mit STRG-F5 neu laden
schönen Gruß
bv64 / Lu

kein Support per PN, Mail, Messenger etc.
still alive

Zitieren
#8
Ein freundliches Hallo zurück,

das wäre zu einfach als Lösung (Mit anderen Worten : Alles bereits versucht :-))

Noch zur Ergänzung : Den Effekt habe ich erst seit dem Update von der vorigen Version auf diese aktuelle. Vorher lief alles unter allen Browsern. Vielleicht liegt es ja an dem Default-Theme, welches mitgeliefert wird. Das dort Zeichen nun drin sind, die der IE nicht ordnungsgemäß übermittelt und deshalb kommt es zu diesen Verarbeitungsproblemen der Scripte. Alles von meiner Seite nur Vermutungen - weil für mich der Workaround funktionierte, bin ich der Sache nicht weiter nach gegangen.

Gruß
michael
Zitieren
#9
sehr mysteriös jedenfalls Wink bei mir ist es natürlich auch jeweils 1.8.20, laufendes Board, Testboards und nirgendwo meckert er wegen Autorisierungscode. Aber der IE verschluckt sich ja gerne mal...
schönen Gruß
bv64 / Lu

kein Support per PN, Mail, Messenger etc.
still alive

Zitieren
#10
ist ein template bug , der fehler ist aufgetreten nachdem ich ein anderes theme als das default theme ausgewählt habe ,

ab da an ging nix mehr da er die tokens vom hauptdesign zum einloggen nutzt , ist aber dann das andere eingestellt kommt nurnoch auth code fehlerhaft

ich musste das forum neu aufsetzen und die db einspielen , und kann jetz halt das neue theme nicht als standard machen da er dann die tokens aus dem neuen verwendet da diese veraltet sind


ich bedanke mich sehr herzlich für alle eure post und hilfen

hier fehlt eindeutig eine thanks/like funktion <3
Zitieren


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Oberes Menü (Suche, Help etc.) mit Hover Buttons versehen Laello 3 1.385 15.08.2008, 14:00
Letzter Beitrag: StefanT
  Help me!!! PolskaPatryk 3 837 24.12.2006, 15:30
Letzter Beitrag: PolskaPatryk
  Help!!! bingbongman 7 3.037 11.09.2005, 00:38
Letzter Beitrag: toto